<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_121) on Mon Mar 06 16:33:54 AST 2017 -->
<title>Rectangle</title>
<meta name="date" content="2017-03-06">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Rectangle";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Rectangle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="QuadTreeTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="RectangleTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?Rectangle.html" target="_top">Frames</a></li>
<li><a href="Rectangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Class Rectangle" class="title">Class Rectangle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Rectangle</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Rectangle</span>
extends java.lang.Object</pre>
<div class="block">This class represents the quad tree nodes.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="Rectangle.html#Rectangle--">Rectangle</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="Rectangle.html#Rectangle-float-float-float-float-">Rectangle</a></span>(float&nbsp;x,
         float&nbsp;y,
         float&nbsp;breadth,
         float&nbsp;length)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="Rectangle.html#Rectangle-float-float-float-float-int-">Rectangle</a></span>(float&nbsp;x,
         float&nbsp;y,
         float&nbsp;breadth,
         float&nbsp;length,
         int&nbsp;quadrant)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="Rectangle.html#Rectangle-Point-float-float-int-">Rectangle</a></span>(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;p,
         float&nbsp;breadth,
         float&nbsp;length,
         int&nbsp;quadrant)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="Rectangle.html#Rectangle-Rectangle-">Rectangle</a></span>(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;rect)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#contains-Point-">contains</a></span>(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;p2)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#contains-Rectangle-">contains</a></span>(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;r)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getBottom--">getBottom</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getbreadth--">getbreadth</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getLeft--">getLeft</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getLength--">getLength</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getLocation--">getLocation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getPoint--">getPoint</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getRight--">getRight</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#getTop--">getTop</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#intersects-Rectangle-">intersects</a></span>(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;r)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#isEmpty--">isEmpty</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#quadrant-Rectangle-">quadrant</a></span>(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;rectangle)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#setLocation-Point-">setLocation</a></span>(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;location)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Rectangle.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Rectangle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Rectangle</h4>
<pre>public&nbsp;Rectangle()</pre>
</li>
</ul>
<a name="Rectangle-float-float-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Rectangle</h4>
<pre>public&nbsp;Rectangle(float&nbsp;x,
                 float&nbsp;y,
                 float&nbsp;breadth,
                 float&nbsp;length)</pre>
</li>
</ul>
<a name="Rectangle-float-float-float-float-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Rectangle</h4>
<pre>public&nbsp;Rectangle(float&nbsp;x,
                 float&nbsp;y,
                 float&nbsp;breadth,
                 float&nbsp;length,
                 int&nbsp;quadrant)</pre>
</li>
</ul>
<a name="Rectangle-Point-float-float-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Rectangle</h4>
<pre>public&nbsp;Rectangle(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;p,
                 float&nbsp;breadth,
                 float&nbsp;length,
                 int&nbsp;quadrant)</pre>
</li>
</ul>
<a name="Rectangle-Rectangle-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Rectangle</h4>
<pre>public&nbsp;Rectangle(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;rect)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocation</h4>
<pre>public&nbsp;<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;getLocation()</pre>
</li>
</ul>
<a name="setLocation-Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocation</h4>
<pre>public&nbsp;void&nbsp;setLocation(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;location)</pre>
</li>
</ul>
<a name="getLeft--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeft</h4>
<pre>public&nbsp;float&nbsp;getLeft()</pre>
</li>
</ul>
<a name="getRight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRight</h4>
<pre>public&nbsp;float&nbsp;getRight()</pre>
</li>
</ul>
<a name="getTop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTop</h4>
<pre>public&nbsp;float&nbsp;getTop()</pre>
</li>
</ul>
<a name="getBottom--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBottom</h4>
<pre>public&nbsp;float&nbsp;getBottom()</pre>
</li>
</ul>
<a name="getbreadth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getbreadth</h4>
<pre>public&nbsp;float&nbsp;getbreadth()</pre>
</li>
</ul>
<a name="getLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLength</h4>
<pre>public&nbsp;float&nbsp;getLength()</pre>
</li>
</ul>
<a name="contains-Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;boolean&nbsp;contains(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;p2)</pre>
</li>
</ul>
<a name="contains-Rectangle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;boolean&nbsp;contains(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;r)</pre>
</li>
</ul>
<a name="intersects-Rectangle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersects</h4>
<pre>public&nbsp;boolean&nbsp;intersects(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;r)</pre>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
</li>
</ul>
<a name="quadrant-Rectangle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quadrant</h4>
<pre>public&nbsp;int&nbsp;quadrant(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;rectangle)</pre>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="getPoint--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPoint</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPoint()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Rectangle.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="QuadTreeTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="RectangleTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?Rectangle.html" target="_top">Frames</a></li>
<li><a href="Rectangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
